<?php

function construc_sanitize_checkbox( $checked ) {
		// returns true if checkbox is checked
		return ( ( isset( $checked ) && true == $checked ) ? true : false );
}
function construc_services_one_switch() {
	if ( true == get_theme_mod( 'services_1_switch' ) ) {
		return true;
	}
	return false;
}
function construc_services_two_switch() {
	if ( true == get_theme_mod( 'services_2_switch' ) ) {
		return true;
	}
	return false;
}
function construc_services_three_switch() {
	if ( true == get_theme_mod( 'services_3_switch' ) ) {
		return true;
	}
	return false;
}
function construc_services_four_switch() {
	if ( true == get_theme_mod( 'services_4_switch' ) ) {
		return true;
	}
	return false;
}
function construc_services_five_switch() {
	if ( true == get_theme_mod( 'services_5_switch' ) ) {
		return true;
	}
	return false;
}
function construc_services_six_switch() {
	if ( true == get_theme_mod( 'services_6_switch' ) ) {
		return true;
	}
	return false;
}
function construc_services_section_title_switch() {
	if ( true == get_theme_mod( 'services_section_title_switch' ) ) {
		return true;
	}
	return false;
}
function construc_blog_section_title_switch() {
	if ( true == get_theme_mod( 'blog_section_title_switch' ) ) {
		return true;
	}
	return false;
}
function construc_slider_two_on() {
	if ( true == get_theme_mod( 'slider_two_on_off' ) ) {
		return true;
	}
	return false;
}
function construc_slider_three_on() {
	if ( true == get_theme_mod( 'slider_three_on_off' ) ) {
		return true;
	}
	return false;
}
function construc_topbar_on_off() {
	if ( true == get_theme_mod( 'topbar_on_off' ) ) {
		return true;
	}
	return false;
}
function construc_blog_header_on_off() {
	if ( true == get_theme_mod( 'blogpage_template_header_on_off' ) ) {
		return true;
	}
	return false;
}
function construc_blog_grid() {
	if ( 'grid' == get_theme_mod( 'blogpage_layout' ) ) {
		return true;
	}
	return false;
}
function construc_sanitize_radio( $input, $setting ) {
	$input = sanitize_key( $input );
	$choices = $setting->manager->get_control( $setting->id )->choices;
	return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
}

function construc_sanitize_select( $input, $setting ) {
	$input = sanitize_key( $input );
	$choices = $setting->manager->get_control( $setting->id )->choices;
	return ( array_key_exists( $input, $choices ) ? $input : $setting->default );

}

function construc_is_blog() {
	return ( is_archive() || is_author() || is_category() || is_home() || is_single() || is_tag() ) && 'post' == get_post_type();
}
function construc_sanitize_dropdown_pages( $page_id, $setting ) {
  // Ensure $input is an absolute integer.
  $page_id = absint( $page_id );

  // If $page_id is an ID of a published page, return it; otherwise, return the default.
  return ( 'publish' == get_post_status( $page_id ) ? $page_id : $setting->default );
}

function construc_fron_page_template(){
	if (is_page_template( 'frontpage.php' )) {
		return true;
	}
	return false;
}


function construc_page_settings(){
	if (is_page_template('frontpage.php') || is_home()) {
		return true;
	}
	return false;
}



add_action( 'admin_enqueue_scripts', 'construc_customizer_css' );

function construc_customizer_css(){
	wp_enqueue_style( 'construc-customizer-style', get_theme_file_uri('asset/admin/style.css') );
}


function construc_sanitize_image( $image, $setting ) {
	/*
	 * Array of valid image file types.
	 *
	 * The array includes image mime types that are included in wp_get_mime_types()
	 */
    $mimes = array(
        'jpg|jpeg|jpe' => 'image/jpeg',
        'gif'          => 'image/gif',
        'png'          => 'image/png',
        'bmp'          => 'image/bmp',
        'tif|tiff'     => 'image/tiff',
        'ico'          => 'image/x-icon'
    );
	// Return an array with file extension and mime_type.
    $file = wp_check_filetype( $image, $mimes );
	// If $image has a valid mime_type, return it; otherwise, return the default.
    return ( $file['ext'] ? $image : $setting->default );
}
